# ApplicationFramework
TKPLCAF
PNaming

# PNaming_Naming Class Reference

`#include <PNaming_Naming.hxx>`

Inheritance diagram for PNaming_Naming:

[legend]

## Public Member Functions

Standard_EXPORT | PNaming_Naming ()
Standard_EXPORT void | SetName (const Handle(PNaming_Name)&aName)
Standard_EXPORT Handle_PNaming_Name | GetName () const
| PNaming_Naming (const Storage_stCONSTclCOM &a)
| Handle (PNaming_Name) _CSFDB_GetPNaming_NamingmyName() const
void | _CSFDB_SetPNaming_NamingmyName (const Handle(PNaming_Name)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PNaming_Name | myName

## Constructor & Destructor Documentation

Standard_EXPORT PNaming_Naming::PNaming_Naming | ( |  | ) |

PNaming_Naming::PNaming_Naming | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PNaming_Naming::_CSFDB_SetPNaming_NamingmyName | ( | const Handle(PNaming_Name)& | p | ) | `[inline]`

Standard_EXPORT Handle_PNaming_Name PNaming_Naming::GetName | ( |  | ) | const

Standard_EXPORT const PNaming_Naming::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PNaming_Naming::Handle | ( | PNaming_Name |  | ) | const`[inline]`

Standard_EXPORT void PNaming_Naming::SetName | ( | const Handle(PNaming_Name)& | aName | ) |

## Field Documentation

Handle_PNaming_Name PNaming_Naming::myName `[private]`

The documentation for this class was generated from the following file:

- PNaming_Naming.hxx